|  | Home | Documentation | saml2__AssertionType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml2__AssertionType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AssertionType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AssertionType:
[legend]

## Classes
struct | __saml2__union_AssertionType

## Public Attributes
struct saml2__NameIDType * | saml2__Issuer
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Issuer. More...
_ds__Signature * | ds__Signature
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature. More...
struct saml2__SubjectType * | saml2__Subject
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Subject. More...
struct saml2__ConditionsType * | saml2__Conditions
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Conditions. More...
struct saml2__AdviceType * | saml2__Advice
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Advice. More...
$int | __size_AssertionType
struct saml2__AssertionType::__saml2__union_AssertionType * | __union_AssertionType
char * | Version
| Attribute "Version" of XSD type xs:string. More...
char * | ID
| Attribute "ID" of XSD type xs:ID. More...
time_t | IssueInstant
| Attribute "IssueInstant" of XSD type xs:dateTime. More...
char * | wsu__Id
| Member declared in WS-typemap.dat. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AssertionType is a complexType.

struct saml2__AssertionType operations:

- saml2__AssertionType* soap_new_saml2__AssertionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__AssertionType(struct soap*, saml2__AssertionType*) default initialize members
- int soap_read_saml2__AssertionType(struct soap*, saml2__AssertionType*) deserialize from a source
- int soap_write_saml2__AssertionType(struct soap*, saml2__AssertionType*) serialize to a sink
- saml2__AssertionType* soap_dup_saml2__AssertionType(struct soap*, saml2__AssertionType* dst, saml2__AssertionType <em>src) returns deep copy of saml2__AssertionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__AssertionType(saml2__AssertionType) deep deletes saml2__AssertionType data members, use only on dst after soap_dup_saml2__AssertionType(NULL, saml2__AssertionType *dst, saml2__AssertionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__AssertionType::__size_AssertionType

struct saml2__AssertionType::__saml2__union_AssertionType * saml2__AssertionType::__union_AssertionType

_ds__Signature* saml2__AssertionType::ds__Signature

Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature.

Optional element.

char* saml2__AssertionType::ID

Attribute "ID" of XSD type xs:ID.

Required attribute.

time_t saml2__AssertionType::IssueInstant

Attribute "IssueInstant" of XSD type xs:dateTime.

Required attribute.

struct saml2__AdviceType* saml2__AssertionType::saml2__Advice

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Advice.

Optional element.

struct saml2__ConditionsType* saml2__AssertionType::saml2__Conditions

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Conditions.

Optional element.

struct saml2__NameIDType* saml2__AssertionType::saml2__Issuer

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Issuer.

Required element.

struct saml2__SubjectType* saml2__AssertionType::saml2__Subject

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Subject.

Optional element.

char* saml2__AssertionType::Version

Attribute "Version" of XSD type xs:string.

Required attribute.

char* saml2__AssertionType::wsu__Id

Member declared in WS-typemap.dat.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h